function r=empiricalrnd(y,varargin)
%EMPIRICALRND  Random values from an empirical distribution
%   EMPIRICALRND(Y) returns a single random value from distribution described by the data
%   in the vector Y.
%   
%   EMPIRICALRND(Y,M), EMPIRICALRND(Y,M,N), EMPIRICALRND(Y,[M,N]), etc. return random arrays.

[f,x] = ecdf(y);
r = rand(varargin{:});
r = interp1(f,x,r,'linear','extrap');
%r = interp1(f,x,r,'pchip','extrap');
end